doctype html
.checkout
  h1 Checkout
  md-tab-group.group([selectedIndex]='selectedIndex')
    //- my cart
    md-tab(label='My Cart')
      //- table
      ngx-datatable.material.striped(
        [rows]='cartItemsService.items',
        [rowHeight]='60',
        [columnMode]="'force'",
      )
        //- image
        ngx-datatable-column([width]='150')
          ng-template(let-column='column', ngx-datatable-header-template)
            span Image
          ng-template(let-row='row', ngx-datatable-cell-template)
            img.image(src='/assets/images/products/{{ row.slug }}.jpg', [routerLink]='[cartItemsService.basePath, row.slug]')
        //- name
        ngx-datatable-column(name='Name', [width]='150')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-row='row', ngx-datatable-cell-template)
            span.name([routerLink]='[cartItemsService.basePath, row.slug]') {{ row.name }}
        //- unit
        ngx-datatable-column(name='Price')
          ng-template(let-column='column', ngx-datatable-header-template)
            span Unit
          ng-template(let-value='value', ngx-datatable-cell-template)
            md-chip-list
              md-chip {{ value | currency:'USD':true }}
        //- quantity
        ngx-datatable-column(name='Quantity')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-value='value', let-row='row', ngx-datatable-cell-template)
            input(mdInput, type='number', step='50', [value]='value', (change)='updateItem($event, "quantity", value, row)')
        //- amount
        ngx-datatable-column(name='Total')
          ng-template(let-column='column', ngx-datatable-header-template)
            span Amount
          ng-template(let-row='row', ngx-datatable-cell-template)
            md-chip-list
              md-chip(color='primary', selected='true') {{ row.total | currency:'USD':true }}
        //- remove actions
        ngx-datatable-column
          ng-template(ngx-datatable-header-template)
            span Remove
          ng-template(let-row='row', ngx-datatable-cell-template)
            button(md-icon-button, color='primary', (click)='cartItemsService.removeItem(row)')
              md-icon indeterminate_check_box
      // total
      div(fxLayout='row', fxLayoutAlign='end center')
        div(fxLayout='row')
          md-list
            md-list-item
              span.mat-caption Total
          md-list
            md-list-item
              md-chip-list
                md-chip(color='primary', selected='true') {{ cartItemsService.total | currency:'USD':true }}
    //- payment
    md-tab(label='Payment', [disabled]='selectedIndex < 1')
      div(fxLayout='column', fxLayoutAlign='center center', [style.height]='"auto"', [style.margin]='"20px 0"')
        .terms.mat-title(*ngIf='this.authService.account && this.authService.account.diff1')
          div Congrats! You are eligable to credit terms for a 30 days delayed payment.
        div(fxLayout='row', [style.margin]='"auto"', [style.height]='"100%"')
          //- titles
          md-list
            md-list-item
              span.mat-caption Payment method
            md-list-item(*ngIf='this.authService.account && this.authService.account.diff1')
              span.mat-caption Credit terms
          //- values
          md-list
            //- payments
            md-list-item
              div(fxLayout='row', fxLayoutAlign='end end')
                md-button-toggle-group(#payment='mdButtonToggleGroup', [(ngModel)]='paymentChoice')
                  md-button-toggle(value='visa', mdTooltip='Visa')
                    i.fa.fa-cc-visa
                  md-button-toggle(value='mastercard', mdTooltip='Mastercard')
                    i.fa.fa-cc-mastercard
                  md-button-toggle(value='paypal', mdTooltip='Paypal')
                    i.fa.fa-paypal
                  md-button-toggle(value='stripe', mdTooltip='Stripe')
                    i.fa.fa-cc-stripe
                  md-button-toggle(value='amex', mdTooltip='American Express')
                    i.fa.fa-cc-amex
            //- credit terms
            md-list-item(*ngIf='this.authService.account && this.authService.account.diff1')
              md-slide-toggle([checked]='true') Enable a delayed payment of 30 days
    //- confirmation
    md-tab(label='Confirmation', [disabled]='selectedIndex < 2')
      .summary(fxLayout='row')
        h2 Congratulations, your order is complete
        div(fxFlex)
        div(fxLayout='row')
          md-list
            md-list-item
              span.mat-caption # Order
          md-list
            md-list-item
              md-chip-list
                md-chip.order(color='accent', selected='true') 1234-567
      //- table
      ngx-datatable.material.striped(
        [rows]='cartItemsService.items',
        [rowHeight]='60',
        [columnMode]="'force'",
      )
        //- image
        ngx-datatable-column([width]='150')
          ng-template(let-column='column', ngx-datatable-header-template)
            span Image
          ng-template(let-row='row', ngx-datatable-cell-template)
            img.image(src='/assets/images/products/{{ row.slug }}.jpg', [routerLink]='[cartItemsService.basePath, row.slug]')
        //- name
        ngx-datatable-column(name='Name', [width]='150')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-row='row', ngx-datatable-cell-template)
            span.name([routerLink]='[cartItemsService.basePath, row.slug]') {{ row.name }}
        //- quantity
        ngx-datatable-column(name='Quantity')
          ng-template(let-column='column', ngx-datatable-header-template)
            span {{ column.name }}
          ng-template(let-value='value', ngx-datatable-cell-template)
            span {{ value }}
        //- amount
        ngx-datatable-column(name='Total')
          ng-template(let-column='column', ngx-datatable-header-template)
            span Amount
          ng-template(let-row='row', ngx-datatable-cell-template)
            md-chip-list
              md-chip {{ row.total | currency:'USD':true }}
      // total
      div(fxLayout='row', fxLayoutAlign='end center')
        div(fxLayout='row')
          md-list
            md-list-item
              span.mat-caption Total
          md-list
            md-list-item
              md-chip-list
                md-chip {{ cartItemsService.total | currency:'USD':true }}
  //- next button
  div(fxLayout='row', fxLayoutAlign='center center', *ngIf='selectedIndex < 2')
    button.next(md-mini-fab, color='accent', mdTooltip='Next', (click)='next()')
      md-icon navigate_next
